package com.chinaitop.depot.act.rest.servlet;

import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
/**
 * 配置过滤器
 * @author xujh
 * @version 2017-10-17
 */
@Configuration
public class filterBean {
	  @Bean
	  public FilterRegistrationBean indexFilterRegistration() {
	    FilterRegistrationBean registration = new FilterRegistrationBean(new JsonpCallbackFilter());
	    registration.addUrlPatterns("/act/service/*");
	    return registration;
	  }
}
