package com.chinaitop.depot.business.model;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class BusinessNoticeReceive {
	
	//表里新增字段
    private String lsxzzbdh;
    private String lssl;
    private Integer hzqlsxzdm;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date hzrq;//划转日期
    private String ccshr;
    private String zjshr;
    private String tjshr;
    private String kjshr;
    private String ldshr;
    private String bz;
    private Integer auditState;
    private Integer isNotice;
    private String pzmc;
    private Integer isSheet;
    private String htbh;
    private String cblx;
    private String ysid;
    private String ytzdid;//原通知单ID

    /**
     * 0是性质转变单
     * @return
     */
	public Integer getIsSheet() {
		return isSheet;
	}

	/**
	 * 0是性质转变单
	 * @param isSheet
	 */
	public void setIsSheet(Integer isSheet) {
		this.isSheet = isSheet;
	}

	public String getPzmc() {
		return pzmc;
	}

	public void setPzmc(String pzmc) {
		this.pzmc = pzmc;
	}

	/**
	 * 是否引用(0:否,1:是)
	 * @return
	 */
	public Integer getIsNotice() {
		return isNotice;
	}

	/**
	 * 是否引用(0:否,1:是)
	 * @param isNotice
	 */
	public void setIsNotice(Integer isNotice) {
		this.isNotice = isNotice;
	}

	/**
	 * 粮食性质转变单单号
	 * @return
	 */
	public String getLsxzzbdh() {
		return lsxzzbdh;
	}

	/**
	 * 粮食性质转变单单号
	 * @param lsxzzbdh
	 */
	public void setLsxzzbdh(String lsxzzbdh) {
		this.lsxzzbdh = lsxzzbdh;
	}

	/**
	 * 库存数量
	 * @return
	 */
	public String getLssl() {
		return lssl;
	}

	/**
	 * 库存数量
	 * @param lssl
	 */
	public void setLssl(String lssl) {
		this.lssl = lssl;
	}

	/**
	 * 划转后粮食性质
	 * @return
	 */
	public Integer getHzqlsxzdm() {
		return hzqlsxzdm;
	}

	/**
	 * 划转后粮食性质
	 * @param hzqlsxzdm
	 */
	public void setHzqlsxzdm(Integer hzqlsxzdm) {
		this.hzqlsxzdm = hzqlsxzdm;
	}

	/**
	 * 划转时间
	 * @return
	 */
	public Date getHzrq() {
		return hzrq;
	}

	/**
	 * 划转时间
	 * @param hzrq
	 */
	public void setHzrq(Date hzrq) {
		this.hzrq = hzrq;
	}

	public String getCcshr() {
		return ccshr;
	}

	public void setCcshr(String ccshr) {
		this.ccshr = ccshr;
	}

	public String getZjshr() {
		return zjshr;
	}

	public void setZjshr(String zjshr) {
		this.zjshr = zjshr;
	}

	public String getTjshr() {
		return tjshr;
	}

	public void setTjshr(String tjshr) {
		this.tjshr = tjshr;
	}

	public String getKjshr() {
		return kjshr;
	}

	public void setKjshr(String kjshr) {
		this.kjshr = kjshr;
	}

	public String getLdshr() {
		return ldshr;
	}

	public void setLdshr(String ldshr) {
		this.ldshr = ldshr;
	}

	public String getBz() {
		return bz;
	}

	public void setBz(String bz) {
		this.bz = bz;
	}

	/**
	 * 审批状态(0:仓储部经理审批,1:质检部经理审批,2:统计经理审批,3:会计审批,4:库领导审批,5:审批结束)
	 * @return
	 */
	public Integer getAuditState() {
		return auditState;
	}

	/**
	 * 审批状态(0:仓储部经理审批,1:质检部经理审批,2:统计经理审批,3:会计审批,4:库领导审批,5:审批结束)
	 * @param auditState
	 */
	public void setAuditState(Integer auditState) {
		this.auditState = auditState;
	}

	//业务字段
	private String outCount;
	private String outRemainingNumber;
	private boolean checked;
	private String inCount;
	private String remainingNumber;
	private boolean selected;

    public boolean isSelected() {
		return selected;
	}

	public void setSelected(boolean selected) {
		this.selected = selected;
	}

	public String getInCount() {
		return inCount;
	}

	public void setInCount(String inCount) {
		this.inCount = inCount;
	}

	public String getRemainingNumber() {
		return remainingNumber;
	}

	public void setRemainingNumber(String remainingNumber) {
		this.remainingNumber = remainingNumber;
	}

	public boolean isChecked() {
		return checked;
	}

	public void setChecked(boolean checked) {
		this.checked = checked;
	}

	public String getOutCount() {
		return outCount;
	}

	public void setOutCount(String outCount) {
		this.outCount = outCount;
	}

	public String getOutRemainingNumber() {
		return outRemainingNumber;
	}

	public void setOutRemainingNumber(String outRemainingNumber) {
		this.outRemainingNumber = outRemainingNumber;
	}
	
	//表里面新增的字段
	private Integer grainAnnual;//收获年度
	private Integer productiveYear;//生产年份
	private Integer grainProducingArea;//粮油产地
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date inputTime;//入库时间
	
	/**
	 * 收获年度
	 * @return
	 */
	public Integer getGrainAnnual() {
	    return grainAnnual;
	}

	/**
	 * 收获年度
	 * @param grainAnnual
	 */
	public void setGrainAnnual(Integer grainAnnual) {
	    this.grainAnnual = grainAnnual;
	}

	/**
	 * 生产年份
	 * @return
	 */
	public Integer getProductiveYear() {
	    return productiveYear;
	}

	 /**
	  * 生产年份
	  * @param productiveYear
	  */
	 public void setProductiveYear(Integer productiveYear) {
	        this.productiveYear = productiveYear;
	 }

	 /**
	  * 产地
	  * @return
	  */
	 public Integer getGrainProducingArea() {
	        return grainProducingArea;
	 }

	 /**
	  * 产地
	  * @param grainProducingArea
	  */
	 public void setGrainProducingArea(Integer grainProducingArea) {
	        this.grainProducingArea = grainProducingArea;
	 }

	 /**
	  * 入库时间
	  * @return
	  */
	 public Date getInputTime() {
	        return inputTime;
	 }

	 /**
	  * 入库时间
	  * @param inputTime
	  */
	 public void setInputTime(Date inputTime) {
	        this.inputTime = inputTime;
	 }
		    
		
		
		
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.id
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private Integer id;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.notice_number
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private String noticeNumber;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.crktype
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private String crktype;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.contract_number
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private String contractNumber;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.ywtype
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private String ywtype;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.house_id
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private Integer houseId;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.ware_house_id
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private Integer wareHouseId;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.grain_kind
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private Integer grainKind;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.grain_grade
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private Integer grainGrade;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.count
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private String count;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.outgoing_period
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private String outgoingPeriod;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.forwarding_unit
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private String forwardingUnit;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.receive_unit
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private String receiveUnit;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.resion
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private String resion;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.in_application
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private Integer inApplication;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.org_id
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private Integer orgId;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.grain_attribute
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private Integer grainAttribute;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.grain_detail_kind
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private Integer grainDetailKind;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column business_notice_receive.receive_time
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    private Date receiveTime;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column business_notice_receive.id
     *
     * @return the value of business_notice_receive.id
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    public Integer getId() {
        return id;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column business_notice_receive.id
     *
     * @param id the value for business_notice_receive.id
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column business_notice_receive.notice_number
     *
     * @return the value of business_notice_receive.notice_number
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    public String getNoticeNumber() {
        return noticeNumber;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column business_notice_receive.notice_number
     *
     * @param noticeNumber the value for business_notice_receive.notice_number
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    public void setNoticeNumber(String noticeNumber) {
        this.noticeNumber = noticeNumber == null ? null : noticeNumber.trim();
    }

    /**
     * 出入库类型(1:入库,3:出库,13:出入库)
     */
    public String getCrktype() {
        return crktype;
    }

    /**
     * 出入库类型(1:入库,3:出库,13:出入库)
     * @param crktype
     */
    public void setCrktype(String crktype) {
        this.crktype = crktype == null ? null : crktype.trim();
    }

    /**
     * 协议编号/合同编号
     */
    public String getContractNumber() {
        return contractNumber;
    }

    /**
     * 协议编号/合同编号
     * @param contractNumber 协议编号/合同编号
     */
    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber == null ? null : contractNumber.trim();
    }

    /**
     * 业务类型 (1:竞买=入库竞价；2：销售=出库竞价  3：轮换=出库包干)
     */
    public String getYwtype() {
        return ywtype;
    }

    /**
     * 业务类型 (6:竞买=入库竞价；7：销售=出库竞价  4：轮换=出库包干)
     * @param ywtype 
     */
    public void setYwtype(String ywtype) {
        this.ywtype = ywtype == null ? null : ywtype.trim();
    }

    /**
     * 仓房
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房
     * @param houseId 仓房
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column business_notice_receive.ware_house_id
     *
     * @return the value of business_notice_receive.ware_house_id
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    public Integer getWareHouseId() {
        return wareHouseId;
    }

    /**
     * 货位
     * @param wareHouseId 货位
     */
    public void setWareHouseId(Integer wareHouseId) {
        this.wareHouseId = wareHouseId;
    }

    /**
     * 粮食品种
     * @return
     */
    public Integer getGrainKind() {
        return grainKind;
    }

    /**
     * 粮食品种
     * @param grainKind 粮食品种
     */
    public void setGrainKind(Integer grainKind) {
        this.grainKind = grainKind;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column business_notice_receive.grain_grade
     *
     * @return the value of business_notice_receive.grain_grade
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    public Integer getGrainGrade() {
        return grainGrade;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column business_notice_receive.grain_grade
     *
     * @param grainGrade the value for business_notice_receive.grain_grade
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    public void setGrainGrade(Integer grainGrade) {
        this.grainGrade = grainGrade;
    }

    /**
     * 计划数量（吨）
     * @return
     */
    public String getCount() {
        return count;
    }

    /**
     * 计划数量（吨）
     * @param count
     */
    public void setCount(String count) {
        this.count = count == null ? null : count.trim();
    }

    /**
     * 出库期限(日期格式)
     * @return
     */
    public String getOutgoingPeriod() {
        return outgoingPeriod;
    }

    /**
     * 出库期限(日期格式)
     * @param outgoingPeriod
     */
    public void setOutgoingPeriod(String outgoingPeriod) {
        this.outgoingPeriod = outgoingPeriod == null ? null : outgoingPeriod.trim();
    }

    /**
     * 发货单位
     */
    public String getForwardingUnit() {
        return forwardingUnit;
    }

    /**
     * 发货单位
     * @param forwardingUnit
     */
    public void setForwardingUnit(String forwardingUnit) {
        this.forwardingUnit = forwardingUnit == null ? null : forwardingUnit.trim();
    }

    /**
     * 收货单位
     */
    public String getReceiveUnit() {
        return receiveUnit;
    }

    /**
     * 收货单位
     * @param receiveUnit 收货单位
     */
    public void setReceiveUnit(String receiveUnit) {
        this.receiveUnit = receiveUnit == null ? null : receiveUnit.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column business_notice_receive.resion
     *
     * @return the value of business_notice_receive.resion
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    public String getResion() {
        return resion;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column business_notice_receive.resion
     *
     * @param resion the value for business_notice_receive.resion
     *
     * @mbggenerated Wed Jul 08 09:57:43 CST 2020
     */
    public void setResion(String resion) {
        this.resion = resion == null ? null : resion.trim();
    }

    /**
     * 启用(默认1，其实不用)
     * @return
     */
    public Integer getInApplication() {
        return inApplication;
    }

    /**
     * 启用(默认1，其实不用)
     * @param inApplication
     */
    public void setInApplication(Integer inApplication) {
        this.inApplication = inApplication;
    }

    /**
     * 组织机构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织机构id
     * @param orgId 组织机构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 粮油性质
     * @return
     */
    public Integer getGrainAttribute() {
        return grainAttribute;
    }

    /**
     * 粮油性质
     * @param grainAttribute
     */
    public void setGrainAttribute(Integer grainAttribute) {
        this.grainAttribute = grainAttribute;
    }

    /**
     * 明细品种
     * @return
     */
    public Integer getGrainDetailKind() {
        return grainDetailKind;
    }

    /**
     * 明细品种
     * @param grainDetailKind
     */
    public void setGrainDetailKind(Integer grainDetailKind) {
        this.grainDetailKind = grainDetailKind;
    }

    /**
     * 接收数据的时间
     * @return
     */
    public Date getReceiveTime() {
        return receiveTime;
    }

    /**
     * 接收数据的时间
     * @param receiveTime
     */
    public void setReceiveTime(Date receiveTime) {
        this.receiveTime = receiveTime;
    }

    /**
     * 合同编号(包干类型使用)
     * @return
     */
	public String getHtbh() {
		return htbh;
	}

	/**
	 * 合同编号(包干类型使用)
	 * @param htbh
	 */
	public void setHtbh(String htbh) {
		this.htbh = htbh;
	}

	/**
	 * 储备类型(1市储，2区储)
	 * @return
	 */
	public String getCblx() {
		return cblx;
	}

	/**
	 * 储备类型(1市储，2区储)
	 * @param cblx
	 */
	public void setCblx(String cblx) {
		this.cblx = cblx;
	}

	/**
	 * 市平台验收数据ID
	 * @return
	 */
	public String getYsid() {
		return ysid;
	}

	/**
	 * 市平台验收数据ID
	 * @param ysid
	 */
	public void setYsid(String ysid) {
		this.ysid = ysid;
	}

	/**
	 * 原通知单ID
	 * @return
	 */
	public String getYtzdid() {
		return ytzdid;
	}

	/**
	 * 原通知单ID
	 * @param ytzdid
	 */
	public void setYtzdid(String ytzdid) {
		this.ytzdid = ytzdid;
	}

}