package com.chinaitop.depot.business.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class OrgInfo implements Serializable {

    private static final long serialVersionUID = 1L;
    
    private Integer orgId;

    private String orgName;

    private String shortName;

    private String orgCode;

    private Integer orgClassId;

    private Integer companyNature;

    private Integer busiType;

    private String address;

    private String contact;

    private String fax;

    private String chargePerson;

    private String longitude;

    private String latitude;

    private Integer registCapital;

    private Integer workNumber;

    private Integer areaCode;

    private String areaName;

    private Integer post;

    private Integer depotClass;

    private Integer designCapacity;

    private Integer effectiveCapacity;

    private Float depotArea;

    private Date completeDate;

    private Date useDate;

    private String companyOrgCode;

    private String creditCode;

    private Integer registType;

    private Integer qualification;

    private Integer independentCorporation;

    private String legalPerson;

    private Integer whetherRent;

    private String infoRegist;

    private Date registDate;

    private String remark;

    private Integer parentId;

    private Integer status;

    private Integer delFlag;

    private String birdsEye;

    private String birdsRemote;

    private String briefIntroduction;

    private List<OrgInfo> children = new ArrayList<OrgInfo>();

    private String invoiceTitle;

    private String registNumber;

    private String bankName;

    private String accountName;

    private String accountNumber;

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName == null ? null : orgName.trim();
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName == null ? null : shortName.trim();
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode == null ? null : orgCode.trim();
    }

    public Integer getOrgClassId() {
        return orgClassId;
    }

    public void setOrgClassId(Integer orgClassId) {
        this.orgClassId = orgClassId;
    }

    public Integer getCompanyNature() {
        return companyNature;
    }

    public void setCompanyNature(Integer companyNature) {
        this.companyNature = companyNature;
    }

    public Integer getBusiType() {
        return busiType;
    }

    public void setBusiType(Integer busiType) {
        this.busiType = busiType;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact == null ? null : contact.trim();
    }

    public String getFax() {
        return fax;
    }

    public void setFax(String fax) {
        this.fax = fax == null ? null : fax.trim();
    }

    public String getChargePerson() {
        return chargePerson;
    }

    public void setChargePerson(String chargePerson) {
        this.chargePerson = chargePerson == null ? null : chargePerson.trim();
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude == null ? null : longitude.trim();
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude == null ? null : latitude.trim();
    }

    public Integer getRegistCapital() {
        return registCapital;
    }

    public void setRegistCapital(Integer registCapital) {
        this.registCapital = registCapital;
    }

    public Integer getWorkNumber() {
        return workNumber;
    }

    public void setWorkNumber(Integer workNumber) {
        this.workNumber = workNumber;
    }

    public Integer getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(Integer areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName == null ? null : areaName.trim();
    }

    public Integer getPost() {
        return post;
    }

    public void setPost(Integer post) {
        this.post = post;
    }

    public Integer getDepotClass() {
        return depotClass;
    }

    public void setDepotClass(Integer depotClass) {
        this.depotClass = depotClass;
    }

    public Integer getDesignCapacity() {
        return designCapacity;
    }

    public void setDesignCapacity(Integer designCapacity) {
        this.designCapacity = designCapacity;
    }

    public Integer getEffectiveCapacity() {
        return effectiveCapacity;
    }

    public void setEffectiveCapacity(Integer effectiveCapacity) {
        this.effectiveCapacity = effectiveCapacity;
    }

    public Float getDepotArea() {
        return depotArea;
    }

    public void setDepotArea(Float depotArea) {
        this.depotArea = depotArea;
    }

    public Date getCompleteDate() {
        return completeDate;
    }

    public void setCompleteDate(Date completeDate) {
        this.completeDate = completeDate;
    }

    public Date getUseDate() {
        return useDate;
    }

    public void setUseDate(Date useDate) {
        this.useDate = useDate;
    }

    public String getCompanyOrgCode() {
        return companyOrgCode;
    }

    public void setCompanyOrgCode(String companyOrgCode) {
        this.companyOrgCode = companyOrgCode == null ? null : companyOrgCode.trim();
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode == null ? null : creditCode.trim();
    }

    public Integer getRegistType() {
        return registType;
    }

    public void setRegistType(Integer registType) {
        this.registType = registType;
    }

    public Integer getQualification() {
        return qualification;
    }

    public void setQualification(Integer qualification) {
        this.qualification = qualification;
    }

    public Integer getIndependentCorporation() {
        return independentCorporation;
    }

    public void setIndependentCorporation(Integer independentCorporation) {
        this.independentCorporation = independentCorporation;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson == null ? null : legalPerson.trim();
    }

    public Integer getWhetherRent() {
        return whetherRent;
    }

    public void setWhetherRent(Integer whetherRent) {
        this.whetherRent = whetherRent;
    }

    public String getInfoRegist() {
        return infoRegist;
    }

    public void setInfoRegist(String infoRegist) {
        this.infoRegist = infoRegist == null ? null : infoRegist.trim();
    }

    public Date getRegistDate() {
        return registDate;
    }

    public void setRegistDate(Date registDate) {
        this.registDate = registDate;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public String getBirdsEye() {
        return birdsEye;
    }

    public void setBirdsEye(String birdsEye) {
        this.birdsEye = birdsEye == null ? null : birdsEye.trim();
    }

    public String getBirdsRemote() {
        return birdsRemote;
    }

    public void setBirdsRemote(String birdsRemote) {
        this.birdsRemote = birdsRemote == null ? null : birdsRemote.trim();
    }

    public String getBriefIntroduction() {
        return briefIntroduction;
    }

    public void setBriefIntroduction(String briefIntroduction) {
        this.briefIntroduction = briefIntroduction == null ? null : briefIntroduction.trim();
    }

    public String getInvoiceTitle() {
        return invoiceTitle;
    }

    public void setInvoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle == null ? null : invoiceTitle.trim();
    }

    public String getRegistNumber() {
        return registNumber;
    }

    public void setRegistNumber(String registNumber) {
        this.registNumber = registNumber == null ? null : registNumber.trim();
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName == null ? null : bankName.trim();
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName == null ? null : accountName.trim();
    }

    public String getAccountNumber() {
        return accountNumber;
    }

    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber == null ? null : accountNumber.trim();
    }

    public List<OrgInfo> getChildren() {
        return children;
    }

    public void setChildren(List<OrgInfo> children) {
        this.children = children;
    }
}