/**
 * 
 */
package com.chinaitop.depot.business.model.enums;

/**
 * <p>Title: BasicEnum</p>
 * <p>Description: 枚举字典名称和id对应枚举类，在此处使用统一的枚举，可以避免修改时修改多处，以及漏改.</p>
 * @author my
 * @date 2018年1月16日 上午9:59:48
 */

public enum BasicEnum {
    planType_shouchu("计划类型-粮食收储计划", 3154),
    planType_xiaoshou("计划类型-粮食销售计划", 3155),
    planType_lunru("计划类型-轮入计划", 5471),
    planType_lunchu("计划类型-轮出计划", 5472),
	planType_lunhuan("计划类型-轮换计划", 3156),
	planType_yshouchu("计划类型-油料收储计划", 7128),
	planType_yxiaoshou("计划类型-油料销售计划", 7129);
    
    private String name;
    private Integer value;
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public Integer getValue() {
        return value;
    }
    public void setValue(Integer value) {
        this.value = value;
    }
    private BasicEnum(String name, Integer value) {
        this.name = name;
        this.value = value;
    }
    
}
