package com.chinaitop.depot.business.model.enums;

public enum TaskType {
    plan("计划申请", "plan", "business_plan"),
    contract("合同申请", "contract", "business_contract"),
    cblcontract("储备粮合同申请", "cblcontract", "business_contract"),
    contractChange("合同变更申请", "contractChange", "business_contract"),
    storageNotice("入库通知单申请", "storageNotice", "business_storage_delivery_notice"),
    deliveryNotice("出库通知单申请", "deliveryNotice", "business_storage_delivery_notice"),
    storageNoticeChange("入库通知单变更", "storageNoticeChange", "business_storage_delivery_notice"),
    deliveryNoticeChange("出库通知单变更", "deliveryNoticeChange", "business_storage_delivery_notice"),
    
    drugPurchase("药剂采购申请", "drugPurchase", "business_drug_purchase"),
    fumigationProgram("熏蒸方案申请", "fumigationProgram", "storage_fumigation_program"),
    storageAeration("通风作业申请", "storageAeration", "storageAeration");
    
    
    private TaskType(String taskName, String taskType, String tableName) {
        this.taskName = taskName;
        this.taskType = taskType;
        this.tableName = tableName;
    }
    private String taskName;
    private String taskType;
    // 表名.
    private String tableName;
    
    
    public String getTaskName() {
        return taskName;
    }
    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }
    public String getTaskType() {
        return taskType;
    }
    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }
    public String getTableName() {
        return tableName;
    }
    public void setTableName(String tableName) {
        this.tableName = tableName;
    }
    
}
