package com.chinaitop.depot.business.service;

import com.chinaitop.depot.act.model.HistoryList;
import com.chinaitop.depot.business.model.BusinessApproval;
import com.chinaitop.depot.business.model.BusinessApprovalExample;

import java.util.List;
import java.util.Map;

public interface BusinessApprovalService {
	
	List<BusinessApproval> queryByExample(BusinessApprovalExample example);
	
	BusinessApproval findById(Integer id);
	
	void add(BusinessApproval businessApproval);
	
	void update(BusinessApproval businessApproval);

    void updateByPrimaryKeySelective(BusinessApproval oldBusinessApproval);

    /**
     * 按ID删除数据
     * @param id
     */
    void remove(Integer id);

    /**
     * 按条件删除数据
     * @param id
     */
    void removeList(BusinessApprovalExample example);

    //待办已办
	List<BusinessApproval> queryByMap(Map<String, Object> map);

	List<HistoryList> getAudit(Map<String, Object> modelMap);


}
