package com.chinaitop.depot.business.service;

import com.chinaitop.depot.business.model.RoleInfo;
import com.chinaitop.depot.business.model.RoleInfoExample;

import java.util.List;

public interface RoleInfoService {
	
	/**
	 * 根据条件查询角色列表
	 * @param example
	 * @return
	 */
	List<RoleInfo> queryByExample(RoleInfoExample example);
	
	/**
	 * 根据角色编号获取角色信息
	 * @param roleId
	 * @return
	 */
	RoleInfo findById(Integer roleId);
	
	/**
	 * 新增角色
	 * @param roleInfo
	 */
	void add(RoleInfo roleInfo);
	
	/**
	 * 更新角色信息
	 * @param roleInfo
	 */
	void update(RoleInfo roleInfo);
	
	/**
	 * 根据角色编号删除角色信息
	 * @param roleId
	 */
	void remove(Integer roleId);

}
