package com.chinaitop.depot.unissoft.webservice;

import javax.jws.WebParam;
import javax.jws.WebService;

import com.chinaitop.depot.unissoft.model.ResponseEntity;

import java.util.Map;


@WebService
public interface NoticePassService {

    // org_id：单位id
    // in_application:1 通知单状态（1 正在执行中的通知单）
    // ids: 已经引入的通知单ids,(排除已经引入的通知单)
    //查询主通知单，从通知单详情表数据
    public String getNoticeDatas(@WebParam(name = "orgId") String orgId, @WebParam(name = "inApplication") String inApplication, @WebParam(name = "ids") String ids);

    // in_application：状态
    // Id:通知单id
    //修改通知单状态
    public String updateNoticeState(@WebParam(name = "inApplication") String inApplication, @WebParam(name = "ids") String ids);

    //org_id：单位id
    //in_application:1 通知单状态（1 正在执行中的通知单）
    //未引入的通知单
    public String isHaveTzd(@WebParam(name = "orgId") String orgId, @WebParam( name = "inApplication") String inApplication);

}
