package com.chinaitop.depot.utils;

import org.mybatis.generator.api.MyBatisGenerator;
import org.mybatis.generator.config.Configuration;
import org.mybatis.generator.config.xml.ConfigurationParser;
import org.mybatis.generator.internal.DefaultShellCallback;
import org.springframework.core.io.ClassPathResource;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class GeneratorSqlmap {

	public void generator() throws Exception{

		List<String> warnings = new ArrayList<String>();
		boolean overwrite = true;
		//指定 逆向工程配置文件名称
		ClassPathResource classPathResource = new ClassPathResource("generatorConfig.xml");
		//获取文件
		File file = classPathResource.getFile();
		//获取路径
		String path = classPathResource.getPath();
		System.out.println("path:" + path);
		System.out.println("file:" + file);
		System.out.println(file.toString());
		File configFile = new File(file.toString());
		ConfigurationParser cp = new ConfigurationParser(warnings);
		Configuration config = cp.parseConfiguration(configFile);
		DefaultShellCallback callback = new DefaultShellCallback(overwrite);
		MyBatisGenerator myBatisGenerator = new MyBatisGenerator(config,
				callback, warnings);
		myBatisGenerator.generate(null);
		if (warnings.isEmpty()) {
			System.out.println("MyBatis文件生成成功！！");
		} else {
			System.err.println(warnings);
		}
	}
	public static void main(String[] args) throws Exception {
		try {
			GeneratorSqlmap generatorSqlmap = new GeneratorSqlmap();
			generatorSqlmap.generator();
			System.out.println("生成成功");
		} catch (Exception e) {
			e.printStackTrace();
			System.out.println("生成失败");
		}
		
	}

}
