package com.chinaitop.depot.business.mapper;

import com.chinaitop.depot.business.model.BusinessDeliveryStorageNoticeExample;
import com.chinaitop.depot.business.model.BusinessStoreWareDetail;
import com.chinaitop.depot.business.model.BusinessStoreWareDetailExample;
import com.chinaitop.depot.business.model.vo.BusinessDeliveryStorageNoticeAuditVO;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface BusinessStoreWareDetailMapper {
    int countByExample(BusinessStoreWareDetailExample example);

    int deleteByExample(BusinessStoreWareDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessStoreWareDetail record);

    int insertSelective(BusinessStoreWareDetail record);

    List<BusinessStoreWareDetail> selectByExample(BusinessStoreWareDetailExample example);

    BusinessStoreWareDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessStoreWareDetail record, @Param("example") BusinessStoreWareDetailExample example);

    int updateByExample(@Param("record") BusinessStoreWareDetail record, @Param("example") BusinessStoreWareDetailExample example);

    int updateByPrimaryKeySelective(BusinessStoreWareDetail record);

    int updateByPrimaryKey(BusinessStoreWareDetail record);
    
    /**
     * @param paramMap
     * @return
     */
    List<BusinessDeliveryStorageNoticeAuditVO> getApprovalList(Map<String, Object> paramMap);

    /**
     * @param paramMap
     */
    void updateApplication(Map<String, Object> paramMap);

    /**
     * @param example
     * @return
     */
    List<BusinessDeliveryStorageNoticeAuditVO> selectByExampleToVO(
            BusinessDeliveryStorageNoticeExample example);

    /**
     * 根据计划ID查询数据计划子表数据中计划的使用数量
     * 
     * @param map 参数集合
     * @return
     */
    List<Map<String, Object>> selectPlanUseCount(Map<String, Object> map);

    /**
     * 根据合同ID查询数据计划子表数据中计划的使用数量
     * 
     * @param map 参数集合
     * @return
     */
    List<Map<String, Object>> selectContractUseCount(Map<String, Object> map);

	String getByTypeAndGrain(Map<String, Object> map);

	String getRkUseCount(Map<String, Object> map);

	String getCkUseCount(Map<String, Object> map);
}