package com.chinaitop.depot.business.model;

import java.util.Date;

public class BusinessContractPayRecevice {
    private Integer id;

    private Integer zid;

    private String contractNum;

    private String contractTitle;

    private Integer contractType;

    private Integer payStatus;

    private String money;

    private Date time;

    /**
     * 合同收付款表
     * @return id 合同收付款表
     */
    public Integer getId() {
        return id;
    }

    /**
     * 合同收付款表
     * @param id 合同收付款表
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 合同id
     * @return zid 合同id
     */
    public Integer getZid() {
        return zid;
    }

    /**
     * 合同id
     * @param zid 合同id
     */
    public void setZid(Integer zid) {
        this.zid = zid;
    }

    /**
     * 合同编号
     * @return contract_num 合同编号
     */
    public String getContractNum() {
        return contractNum;
    }

    /**
     * 合同编号
     * @param contractNum 合同编号
     */
    public void setContractNum(String contractNum) {
        this.contractNum = contractNum == null ? null : contractNum.trim();
    }

    /**
     * 合同名称
     * @return contract_title 合同名称
     */
    public String getContractTitle() {
        return contractTitle;
    }

    /**
     * 合同名称
     * @param contractTitle 合同名称
     */
    public void setContractTitle(String contractTitle) {
        this.contractTitle = contractTitle == null ? null : contractTitle.trim();
    }

    /**
     * 合同类型
     * @return contract_type 合同类型
     */
    public Integer getContractType() {
        return contractType;
    }

    /**
     * 合同类型
     * @param contractType 合同类型
     */
    public void setContractType(Integer contractType) {
        this.contractType = contractType;
    }

    /**
     * 收付款状态（0：收；1：付）
     * @return pay_status 收付款状态（0：收；1：付）
     */
    public Integer getPayStatus() {
        return payStatus;
    }

    /**
     * 收付款状态（0：收；1：付）
     * @param payStatus 收付款状态（0：收；1：付）
     */
    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    /**
     * 收付款的数目
     * @return money 收付款的数目
     */
    public String getMoney() {
        return money;
    }

    /**
     * 收付款的数目
     * @param money 收付款的数目
     */
    public void setMoney(String money) {
        this.money = money == null ? null : money.trim();
    }

    /**
     * 时间
     * @return time 时间
     */
    public Date getTime() {
        return time;
    }

    /**
     * 时间
     * @param time 时间
     */
    public void setTime(Date time) {
        this.time = time;
    }
}