package com.chinaitop.depot.business.model;

import java.util.Date;

public class BusinessFile {
    private Integer id;

    private Integer bid;

    private String type;

    private String fileName;

    private String originalFileName;

    private String fileType;

    private String source;

    private String remarks;

    private String filePath;

    private Date createTime;

    private Date updateTime;

    private Integer creater;

    private Integer orgId;

    /**
     * 主键id
     * @return id 主键id
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键id
     * @param id 主键id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 数据id
     * @return bid 数据id
     */
    public Integer getBid() {
        return bid;
    }

    /**
     * 数据id
     * @param bid 数据id
     */
    public void setBid(Integer bid) {
        this.bid = bid;
    }

    /**
     * 业务类型
     * @return type 业务类型
     */
    public String getType() {
        return type;
    }

    /**
     * 业务类型
     * @param type 业务类型
     */
    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    /**
     * 文件名称
     * @return file_name 文件名称
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * 文件名称
     * @param fileName 文件名称
     */
    public void setFileName(String fileName) {
        this.fileName = fileName == null ? null : fileName.trim();
    }

    /**
     * 文件原始名称
     * @return original_file_name 文件原始名称
     */
    public String getOriginalFileName() {
        return originalFileName;
    }

    /**
     * 文件原始名称
     * @param originalFileName 文件原始名称
     */
    public void setOriginalFileName(String originalFileName) {
        this.originalFileName = originalFileName == null ? null : originalFileName.trim();
    }

    /**
     * 文件类型
     * @return file_type 文件类型
     */
    public String getFileType() {
        return fileType;
    }

    /**
     * 文件类型
     * @param fileType 文件类型
     */
    public void setFileType(String fileType) {
        this.fileType = fileType == null ? null : fileType.trim();
    }

    /**
     * 来源
     * @return source 来源
     */
    public String getSource() {
        return source;
    }

    /**
     * 来源
     * @param source 来源
     */
    public void setSource(String source) {
        this.source = source == null ? null : source.trim();
    }

    /**
     * 备注
     * @return remarks 备注
     */
    public String getRemarks() {
        return remarks;
    }

    /**
     * 备注
     * @param remarks 备注
     */
    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }

    /**
     * 文件上传路径
     * @return file_path 文件上传路径
     */
    public String getFilePath() {
        return filePath;
    }

    /**
     * 文件上传路径
     * @param filePath 文件上传路径
     */
    public void setFilePath(String filePath) {
        this.filePath = filePath == null ? null : filePath.trim();
    }

    /**
     * 
     * @return create_time 
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 
     * @param createTime 
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 
     * @return update_time 
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 
     * @param updateTime 
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 
     * @return creater 
     */
    public Integer getCreater() {
        return creater;
    }

    /**
     * 
     * @param creater 
     */
    public void setCreater(Integer creater) {
        this.creater = creater;
    }

    /**
     * 
     * @return org_id 
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}