package com.chinaitop.depot.business.model;

import java.io.Serializable;

public class RoleInfo implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer roleId;

    private String roleName;

    private Integer parentId;

    private String remark;

    private Integer delFlag;

    private Integer orgId;

    /**
     * 角色编号
     * @return role_id 角色编号
     */
    public Integer getRoleId() {
        return roleId;
    }

    /**
     * 角色编号
     * @param roleId 角色编号
     */
    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    /**
     * 角色名称
     * @return role_name 角色名称
     */
    public String getRoleName() {
        return roleName;
    }

    /**
     * 角色名称
     * @param roleName 角色名称
     */
    public void setRoleName(String roleName) {
        this.roleName = roleName == null ? null : roleName.trim();
    }

    /**
     * 父角色编号
     * @return parent_id 父角色编号
     */
    public Integer getParentId() {
        return parentId;
    }

    /**
     * 父角色编号
     * @param parentId 父角色编号
     */
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    /**
     * 角色描述
     * @return remark 角色描述
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 角色描述
     * @param remark 角色描述
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 删除标记
     * @return del_flag 删除标记
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标记
     * @param delFlag 删除标记
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * 组织编号
     * @return org_id 组织编号
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织编号
     * @param orgId 组织编号
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}