package com.chinaitop.depot.business.service;

import java.util.List;
import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import com.chinaitop.depot.utils.HelloServiceHystrix;

@FeignClient(name = "depot-system", fallback = HelloServiceHystrix.class)
public interface FeignSystemService {


    @RequestMapping(value = "/userRole/getUserRoleFeign", method = RequestMethod.GET)
	List<Map<String, String>> getUserRoleFeign(@RequestParam(value = "userId") Integer userId);


}
