package com.chinaitop.depot.business.service;


import java.util.List;
import java.util.Map;

import com.chinaitop.depot.business.model.BusinessNoticeReceive;

public interface ReceiveNoticeService {

	List<BusinessNoticeReceive> queryByExample(Integer pageNum, Integer pageSize,
			BusinessNoticeReceive businessNoticeReceive, String cktzd,String lyflag);

	BusinessNoticeReceive findById(Integer id);

	void update(BusinessNoticeReceive businessNoticeReceive);

	Map<String, Object> receiveNotice(String notice) throws Exception;

	List<BusinessNoticeReceive> queryByExample(BusinessNoticeReceive businessNoticeReceive);

	List<Map<String, String>> getUserRole(Integer userId);

	void audit(BusinessNoticeReceive receiveNotice, Integer userId, String realName,String orgName,String content);

	int queryIsOrAudit(String xybh, String sptDataId,Integer flag);

	/**
	 * 修改下发的通知单数据
	 * @param notice
	 * @return
	 */
	Map<String, Object> updateReceiveNotice(String notice) throws Exception;

	/**
	 * 给市平台推送合同引用状态
	 * @param notice
	 */
	void pushHtStatus(String notice) throws Exception;

	/**
	 * 生成入库性质转变单
	 * @param sptId 市平台货位ID
	 * @param cblx 储备类型(1市储，2区储)
	 * @param ysid 市平台验收数据ID
	 * @return
	 */
	Map<String, Object> scRkxzzbd(String sptId, String cblx, String ysid);

	/**
	 * 给给市平台发送性质转变成功通知
	 * @param receiveNotice
	 */
	void retSptMeagess(BusinessNoticeReceive receiveNotice);

	/**
	 * 把对应的粮情卡所挂载的粮食性质改为储备粮
	 * @param receiveNotice
	 */
	public void updateQualitycheckHwxz(BusinessNoticeReceive receiveNotice);

	/**
	 * 修改入库性质转变单状态
	 * @param cblx 储备类型(1市储，2区储)
	 * @param ysid 市平台验收数据ID
	 * @param hzsj 划转时间
	 */
	void updateNoticeReceiveAuditState(String cblx, String ysid, String hzsj);
}
