package com.chinaitop.depot.feignService;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value="DEPOT-SHARED")
public interface DepotSharedFeignService {

	/**
	 * 更改一条粮情卡所挂载的自检数据的粮食性质
	 * @param id 自检数据ID
	 * @param lsxz 粮食性质
	 * @return 
	 */
	@RequestMapping(value = "/grainCard/restQualitycheckHwxz", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.POST)
	void restQualitycheckHwxz(
			@RequestParam("houseId") Integer houseId, 
			@RequestParam("warehouseId") Integer warehouseId,
			@RequestParam("lsxz") String lsxz
			);
}
