package com.chinaitop.depot.system.service;

import com.chinaitop.depot.system.model.SysCode;

public interface SysCodeService {

	/**
	 * 按主键查询一条系统配置数据
	 * @param orgId
	 * @param sCode
	 * @return
	 * @throws Exception
	 */
	public SysCode querySysCode(Integer orgId, String sCode) throws Exception;
	
	/**
	 * 按主键查询一条系统配置数据并返回配置value
	 * @param orgId
	 * @param sCode
	 * @return
	 * @throws Exception
	 */
	public String getSVal(Integer orgId, String sCode) throws Exception;
}
