package com.chinaitop.depot.unissoft.webservice;

import javax.jws.WebParam;
import javax.jws.WebService;

import com.chinaitop.depot.unissoft.model.ResponseEntity;

import java.util.Map;


@WebService
public interface ContractPassService {

    // in_application:1 通知单状态（1 正在执行中的通知单）
    // contract_number: 已经引入的合同id,(排除已经引入的合同)
    //发运通知单请求合同数据接口
    public String getContractDatas(@WebParam(name = "orgId") String orgId, @WebParam(name = "inApplication") String inApplication, @WebParam(name = "ids") String ids);

    //in_application：状态
    //contract_number:合同id
    //修改合同状态
    public String updateContractStatus(@WebParam(name = "inApplication") String inApplication, @WebParam(name = "ids") String ids);

    
    //提货单
    // org_id：单位id
    // ids: 已经引入的提货单ids,(排除已经引入的提货单)
    public String getLadingDatas(@WebParam(name = "orgId") String orgId, @WebParam(name = "thdhs") String thdhs);

}
